package org.springblade.modules.service.impl;

import java.util.List;

import org.springblade.core.function.annotation.ServiceMethod;
import org.springblade.core.function.annotation.ServiceMethodBean;
import org.springblade.modules.entity.ProductCategory;
import org.springblade.modules.entity.Sku;
import org.springblade.modules.service.SkuService;
import org.springframework.stereotype.Service;

import com.google.common.collect.Lists;
@Service
@ServiceMethodBean(value = "sku", desc = "sku")
public class SkuServiceImpl implements SkuService {
	@ServiceMethod(method = "list", desc = "sku列表")
	public List<Sku> findSkus(Long productids){
		List<Sku> skus=Lists.newArrayList();
		Sku a=new Sku();
		a.setId(1l);
		a.setName("sku_1");
		a.setProductid(100l);
		skus.add(a);
		Sku b=new Sku();
		b.setId(2l);
		b.setName("sku_2");
		b.setProductid(100l);
		skus.add(b);
		return skus;
	}
	@ServiceMethod(method = "all", desc = "sku列表")
	public List<Sku> findSkus(List<Long> productids){
		List<Sku> skus=Lists.newArrayList();
		long i=1;
		for(Long id:productids) {
			Sku a=new Sku();
			a.setId(id+i);
			a.setName("sku_"+id+i);
			a.setProductid(id);
			skus.add(a);
			Sku b=new Sku();
			b.setId(id+i+1);
			b.setName("sku_"+id+i+1);
			b.setProductid(id);
			skus.add(b);
			i++;
		}
		return skus;
	}
}
